I am looking for a good way of sorting partlist from placement of the balloons in big assemblies.
Working with drawings of assemblies containing > 100 parts, using BOM to create part list I end up with a mess of numbers.
Is there any possibility to do re-numbering based on selecting rows or columns of balloons to get a tidy and easy to navigate assembly drawing?
(Without going in and re-numbering manually)
Solved! Go to Solution.
I am looking for a good way of sorting partlist from placement of the balloons in big assemblies.
Working with drawings of assemblies containing > 100 parts, using BOM to create part list I end up with a mess of numbers.
Is there any possibility to do re-numbering based on selecting rows or columns of balloons to get a tidy and easy to navigate assembly drawing?
(Without going in and re-numbering manually)
Solved! Go to Solution.
Solved by Curtis_Waguespack. Go to Solution.
You can fill it in by hand each time, like.
Place balloon number one and write in the balloon 01
place balloon number two and write in the balloon 02
and so on
Afterwards you can write these balloonings (manual text number) back to the assembly in the partslist.
Regards,
Regards,
Arthur Knoors
Autodesk Affiliations:
Autodesk Software:Inventor Professional 2024 | Vault Professional 2022 | Autocad Mechanical 2022
Programming Skills:Vba | Vb.net (Add ins Vault / Inventor, Applications) | I-logic
Programming Examples:Drawing List!|Toggle Drawing Sheet!|Workplane Resize!|Drawing View Locker!|Multi Sheet to Mono Sheet!|Drawing Weld Symbols!|Drawing View Label Align!|Open From Balloon!|Model State Lock!
Posts and Ideas:Dimension Component!|Partlist Export!|Derive I-properties!|Vault Prompts Via API!|Vault Handbook/Manual!|Drawing Toggle Sheets!|Vault Defer Update!
! For administrative reasons, please mark a "Solution as solved" when the issue is solved !
You can fill it in by hand each time, like.
Place balloon number one and write in the balloon 01
place balloon number two and write in the balloon 02
and so on
Afterwards you can write these balloonings (manual text number) back to the assembly in the partslist.
Regards,
Regards,
Arthur Knoors
Autodesk Affiliations:
Autodesk Software:Inventor Professional 2024 | Vault Professional 2022 | Autocad Mechanical 2022
Programming Skills:Vba | Vb.net (Add ins Vault / Inventor, Applications) | I-logic
Programming Examples:Drawing List!|Toggle Drawing Sheet!|Workplane Resize!|Drawing View Locker!|Multi Sheet to Mono Sheet!|Drawing Weld Symbols!|Drawing View Label Align!|Open From Balloon!|Model State Lock!
Posts and Ideas:Dimension Component!|Partlist Export!|Derive I-properties!|Vault Prompts Via API!|Vault Handbook/Manual!|Drawing Toggle Sheets!|Vault Defer Update!
! For administrative reasons, please mark a "Solution as solved" when the issue is solved !
Inventor has always treated the balloon number as an afterthought. By default, it is a sequence number based on the sort order of a Parts List. I am not aware of an automatic workflow that renumbers the balloons based on position in a drawing view.
I'm not using Inventor 2022 yet, but there might be a workflow using Instance Properties. Inventor versions prior to 2022 do not have Instance Properties.
Steve Walton
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Inventor has always treated the balloon number as an afterthought. By default, it is a sequence number based on the sort order of a Parts List. I am not aware of an automatic workflow that renumbers the balloons based on position in a drawing view.
I'm not using Inventor 2022 yet, but there might be a workflow using Instance Properties. Inventor versions prior to 2022 do not have Instance Properties.
Steve Walton
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
We do this currently in brazed sub-assemblies by creating the items list then re-numbering the item number in the items list & sorting the list by item number. This is done so that the operator has the parts sequentially listed in the order that they are assembled into the jig for brazing. It's easy enough with a dozen or so parts but I would not want to do it with an assembly of 100 parts.
We do this currently in brazed sub-assemblies by creating the items list then re-numbering the item number in the items list & sorting the list by item number. This is done so that the operator has the parts sequentially listed in the order that they are assembled into the jig for brazing. It's easy enough with a dozen or so parts but I would not want to do it with an assembly of 100 parts.
Hi @Anonymous
Here is a quick ilogic rule that allows you to pick/select the balloons in the order that you want to renumber, then it renumbers the balloons and pushes the new numbers to the BOM and parts list and resorts the parts list.
It's still going to be a bit tedious to use this for a drawing with a large number of balloons, but it is still probably better than doing it manually.
Unfortunately, I could not find a reliable way to do this with a preselected crossing window... and don't have the time to look into sorting all balloons on the sheet by X,Y coordinates.... but I think that could be done fairly easily. So you might post to the Inventor Customization forum and ask about sorting all balloons on the sheet by their position on the sheet/ X,Ys.
http://forums.autodesk.com/t5/Autodesk-Inventor-Customization/bd-p/120
I hope this helps.
Best of luck to you in all of your Inventor pursuits,
Curtis
http://inventortrenches.blogspot.com
Dim oDoc As DrawingDocument
oDoc = ThisApplication.ActiveDocument
'create selection set
oSet = oDoc.CreateHighlightSet
While True
Dim oFoObjeature As Object
oObj = ThisApplication.CommandManager.Pick(
SelectionFilterEnum.kDrawingBalloonFilter,
"Select Balloons (press ESC to continue)")
' If nothing gets selected then we're done
If IsNothing(oObj) Then Exit While
If TypeOf oObj Is Balloon Then
oSet.AddItem(oObj)
End If
End While
'renumber balloons
i = 1
Dim oBalloon As Balloon
For Each oBalloon In oSet
For Each oBalloonValueSet In oBalloon.BalloonValueSets
Dim oDrawingBOMRow As DrawingBOMRow
oDrawingBOMRow = oBalloonValueSet.ReferencedRow
oBalloon.BalloonValueSets(1).OverrideValue = i
Dim oBOMRow As BOMRow
oBOMRow = oDrawingBOMRow.BOMRow
oBOMRow.ItemNumber = oBalloonValueSet.OverrideValue
Next
i = i + 1
Next
'resort parts list
Dim oPartsList1 As PartsList
oPartsList1 = oDoc.ActiveSheet.PartsLists.Item(1)
oPartsList1.Sort("ITEM", 1, "DESCRIPTION", 1, "QTY", 1)
Hi @Anonymous
Here is a quick ilogic rule that allows you to pick/select the balloons in the order that you want to renumber, then it renumbers the balloons and pushes the new numbers to the BOM and parts list and resorts the parts list.
It's still going to be a bit tedious to use this for a drawing with a large number of balloons, but it is still probably better than doing it manually.
Unfortunately, I could not find a reliable way to do this with a preselected crossing window... and don't have the time to look into sorting all balloons on the sheet by X,Y coordinates.... but I think that could be done fairly easily. So you might post to the Inventor Customization forum and ask about sorting all balloons on the sheet by their position on the sheet/ X,Ys.
http://forums.autodesk.com/t5/Autodesk-Inventor-Customization/bd-p/120
I hope this helps.
Best of luck to you in all of your Inventor pursuits,
Curtis
http://inventortrenches.blogspot.com
Dim oDoc As DrawingDocument
oDoc = ThisApplication.ActiveDocument
'create selection set
oSet = oDoc.CreateHighlightSet
While True
Dim oFoObjeature As Object
oObj = ThisApplication.CommandManager.Pick(
SelectionFilterEnum.kDrawingBalloonFilter,
"Select Balloons (press ESC to continue)")
' If nothing gets selected then we're done
If IsNothing(oObj) Then Exit While
If TypeOf oObj Is Balloon Then
oSet.AddItem(oObj)
End If
End While
'renumber balloons
i = 1
Dim oBalloon As Balloon
For Each oBalloon In oSet
For Each oBalloonValueSet In oBalloon.BalloonValueSets
Dim oDrawingBOMRow As DrawingBOMRow
oDrawingBOMRow = oBalloonValueSet.ReferencedRow
oBalloon.BalloonValueSets(1).OverrideValue = i
Dim oBOMRow As BOMRow
oBOMRow = oDrawingBOMRow.BOMRow
oBOMRow.ItemNumber = oBalloonValueSet.OverrideValue
Next
i = i + 1
Next
'resort parts list
Dim oPartsList1 As PartsList
oPartsList1 = oDoc.ActiveSheet.PartsLists.Item(1)
oPartsList1.Sort("ITEM", 1, "DESCRIPTION", 1, "QTY", 1)
Not totally automatic, but this iLogic rule simplifies the process quite a lot.
Thank you!
Not totally automatic, but this iLogic rule simplifies the process quite a lot.
Thank you!
@Anonymous
We just place a partlist, and balloon everything. Than we sort the partlist (check automatically) in a way we like and do a renumber. The balloons on the drawing are not in a nice order, but the partlist is. We don't have much work on updating our drawings this way.
@Anonymous
We just place a partlist, and balloon everything. Than we sort the partlist (check automatically) in a way we like and do a renumber. The balloons on the drawing are not in a nice order, but the partlist is. We don't have much work on updating our drawings this way.
Dear,
Is there an update for Inventor 2022?
I receive an error message on line 43 (last line). Worked perfect in Inventor 2021.
Thx
Dear,
Is there an update for Inventor 2022?
I receive an error message on line 43 (last line). Worked perfect in Inventor 2021.
Thx
Please post the error message.
You probably will do better in the Customization forum.
A quick guess:
the first thing I would look at is, on line 43 make sure the words in quotes exactly match the spelling in your PartsList.
Please post the error message.
You probably will do better in the Customization forum.
A quick guess:
the first thing I would look at is, on line 43 make sure the words in quotes exactly match the spelling in your PartsList.
Can't find what you're looking for? Ask the community or share your knowledge.